# List a dataset's files

`POST /v1/datasets/download/begin`

Return one bounded page from an immutable paired Git snapshot.

- Base URL: `https://junction-api.qualiastudios.dev`
- Authentication: an API key in the `X-API-Key` header, or `Authorization: Bearer …`

## Request body

Required: `application/json` `DownloadBeginBody`

## Responses

- `200` Successful Response: `application/json` `any`
- `401` Invalid or missing API key: `application/json` `ErrorResponse`
- `422` Validation Error: `application/json` `HTTPValidationError`

## Schemas

```yaml
DownloadBeginBody:
  properties:
    name:
      type: string
    commit_id:
      format: uuid
      type:
        - string
        - "null"
    snapshot_digest:
      pattern: ^[0-9a-f]{64}$
      type:
        - string
        - "null"
    after_path:
      maxLength: 4096
      minLength: 1
      type:
        - string
        - "null"
    limit:
      type: integer
      maximum: 4096
      minimum: 1
      default: 128
  additionalProperties: false
  type: object
  required:
    - name
  title: DownloadBeginBody
ErrorResponse:
  properties:
    detail:
      type: string
      description: Error message describing what went wrong
  type: object
  required:
    - detail
  title: ErrorResponse
  description: Standard error response.
HTTPValidationError:
  properties:
    detail:
      items:
        $ref: "#/components/schemas/ValidationError"
      type: array
  type: object
  title: HTTPValidationError
ValidationError:
  properties:
    loc:
      items:
        type:
          - string
          - integer
      type: array
      title: Location
    msg:
      type: string
      title: Message
    type:
      type: string
      title: Error Type
    input: {}
    ctx:
      type: object
      title: Context
  type: object
  required:
    - loc
    - msg
    - type
  title: ValidationError
```
